import org.gicentre.utils.gui.TextInput; 

// Sketch to demonstrate the use of the TextInput class for gathering typed text.
// Version 1.0, 11th August, 2010.
// Author Jo Wood, giCentre.

// --------------------- Sketch-wide variables ----------------------

TextInput textInput;
PFont font;
boolean isFinished;

// ------------------------ Initialisation --------------------------

// Initialises the text to be used for display and input.
void setup()
{
  size(640,90);
  smooth();
  
  font = createFont("sans-serif",10);
  textInput = new TextInput(this,font,14);
  isFinished = false;
}

// ------------------------ Processing draw -------------------------

// Draws prompting text and waits for text input.
void draw()
{
  background(255);
  noLoop();
        
  fill(120,60,60);
  textFont(font, 24);
  text("Type in some text and press return finished.",30,30);
        
  if (isFinished == false)
  {
    textInput.draw(30,50);
  }
  else
  {
    text("You just said '"+textInput.getText()+"'.", 30, 60);
  }
}


// ----------------------- Keyboard handling ------------------------

// Intercepts the return key and passes all other key presses to the 
// text input object. Since this particular sketch uses noLoop(), we
// also have to tell the sketch to redraw itself when a key is pressed.
void keyPressed()
{
  if ((key == RETURN) || (key == ENTER))
  {
    isFinished = true;
  }
  else
  {
    textInput.keyPressed();
  }
  
  loop();
}
